Bug 843580 - (CVE-2012-4037) CVE-2012-4037 transmission: XSS flaw
CVE-2012-4037 transmission: XSS flaw
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120719,repor...
: Security
Depends On: 843581
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 12:49 EDT by Vincent Danen
Modified: 2016-03-04 07:28 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-12 11:40:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-07-26 12:49:19 EDT
Transmission 2.61 fixes an XSS flaw when processing maliciously crafted .torrent files.  It is reported to affect version 2.50 as well (currently in Fedora 17 testing), but does not seem to work with 2.42 as tested in Fedora 16.  Recommend upgrading to 2.61 in Fedora 17 and Rawhide.
Comment 1 Vincent Danen 2012-07-26 12:50:01 EDT
Created transmission tracking bugs for this issue

Affects: fedora-17 [bug 843581]
Comment 2 Vincent Danen 2012-07-26 13:24:47 EDT
Forgot to note the report on full-disclosure:

http://seclists.org/fulldisclosure/2012/Jul/348

Note You need to log in before you can comment on or make changes to this bug.